#include "handler.ih"

bool Handler::assign(string *dest, string const &regex, string const &line)
{
    Pattern pattern(regex);

    if (not (pattern << line))
        return false;

    *dest = String::trim(pattern.beyond());

    return true;
}
